#!/usr/bin/env python
import setsyspath
setsyspath.add("ccm/ltud/py3")
import grpc
import ltud_pb2
import ltud_pb2_grpc
#import pdb
grpc_channels= {"test":50051,
"rl":50052,
"aj":50053,
"mk":50054,
"jk":50055,
"ctp":50060,
"cpv":50061,
"emc":50062,
"ft0":50063,
"fv0":50064,
"fdd":50065,
"hmp":50066,
"its":50067,
"mch":50068,
"mft":50069,
"mid":50070,
"phs":50071,
"tof":50072,
"tpc":50073,
"trd":50074,
"zdc":50075 }
class LTU_grpc:
  def __init__(self, detname):
    self.channel= grpc.insecure_channel('localhost:%d'%grpc_channels[detname])
    #if self.channel== None: return   # !=None even when server not available
    self.stub = ltud_pb2_grpc.LTUdStub(self.channel)
    #pdb.set_trace()
  def close(self):
    if self.channel== None: return
    self.channel.close()
    self.channel= None


